summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Gustavo Conrad2017-11-21 14:29:37 +0100
committer David Spencer2017-11-21 14:29:37 +0100
commit18a00845403713b914a5ebc6863f7895776af4f9 (patch)
tree42a16ec37efe866846e920b39a4a8d42f5f70fa0 /ham
parentf69fd8b19fde138284b9818f19a8dc36abcf333a (diff)
downloadslackbuilds-18a00845403713b914a5ebc6863f7895776af4f9.tar.gz
ham/flrig: Added (Amateur Radio transceiver control program).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/flrig/README5
-rw-r--r--ham/flrig/doinst.sh3
-rw-r--r--ham/flrig/flrig.SlackBuild120
-rw-r--r--ham/flrig/flrig.info10
-rw-r--r--ham/flrig/slack-desc19
5 files changed, 157 insertions, 0 deletions
diff --git a/ham/flrig/README b/ham/flrig/README
new file mode 100644
index 0000000000..2d1e5d3f4e
--- /dev/null
+++ b/ham/flrig/README
@@ -0,0 +1,5 @@
+Flrig is a transceiver control program for Amateur Radio use. It does
+not use any 3rd party transceiver control libraries. It is a c++ pro-
+gram that encapsulates each transceiver in it's own class. Where ever
+possible the transceiver class(s) use polymorphism to reuse code that
+is portable across a series of transceivers.
diff --git a/ham/flrig/doinst.sh b/ham/flrig/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/ham/flrig/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/ham/flrig/flrig.SlackBuild b/ham/flrig/flrig.SlackBuild
new file mode 100644
index 0000000000..6dfb2a1d8c
--- /dev/null
+++ b/ham/flrig/flrig.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+# Slackbuild for flrig
+# From slackbuild for fldigi Written by JK Wood joshuakwood@gmail.com
+# Modified for flrig by Gustavo Conrad gus3963@gmail.com
+
+# Copyright 2017, Gustavo Conrad.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Joshua's license:
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=flrig
+VERSION=${VERSION:-1.3.36}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --without-asciidoc \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/flrig/flrig.info b/ham/flrig/flrig.info
new file mode 100644
index 0000000000..eab9d0c820
--- /dev/null
+++ b/ham/flrig/flrig.info
@@ -0,0 +1,10 @@
+PRGNAM="flrig"
+VERSION="1.3.36"
+HOMEPAGE="http://www.w1hkj.com/"
+DOWNLOAD="https://downloads.sourceforge.net/project/fldigi/flrig/flrig-1.3.36.tar.gz"
+MD5SUM="a80358fe9ccf00de612fe82c965db0aa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fltk"
+MAINTAINER="Gustavo Conrad"
+EMAIL="gus3963@gmail.com"
diff --git a/ham/flrig/slack-desc b/ham/flrig/slack-desc
new file mode 100644
index 0000000000..3b62f7891f
--- /dev/null
+++ b/ham/flrig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flrig: flrig (Amateur Radio transceiver control program)
+flrig:
+flrig: Flrig is a transceiver control program for Amateur Radio use.
+flrig: It does not use any 3rd party transceiver control libraries. It is a
+flrig: c++ program that encapsulates each transceiver in it's own class.
+flrig: Where ever possible the transceiver class(s) use polymorphism to
+flrig: reuse code that is portable across a series of transceivers.
+flrig: This program can cooperate with fldigi.
+flrig:
+flrig: Homepage: http://www.w1hkj.com/
+flrig: